#### Previous topic

scipy.cluster.hierarchy.maxdists

#### Next topic

scipy.cluster.hierarchy.to_mlab_linkage

# scipy.cluster.hierarchy.maxRstat

`scipy.cluster.hierarchy.``maxRstat`(Z, R, i)

  Returns the maximum statistic for each non-singleton cluster and its descendents.

  Parameters:

  Z : array_like

  > The hierarchical clustering encoded as a matrix. See `linkage` for more information.

  R : array_like

  > The inconsistency matrix.

  i : int

  > The column of R to use as the statistic.

  Returns:

  MR : ndarray

  > Calculates the maximum statistic for the i’th column of the inconsistency matrix R for each non-singleton cluster node. `MR[j]` is the maximum over `R[Q(j)-n, i]` where `Q(j)` the set of all node ids corresponding to nodes below and including `j`.